<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019b098f-d770-7042-abff-3c194ad52cfd,g:06ae7b0f-868a-4486-b97c-bd14c2a1595f-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:type="simple" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item"/>
  <link:roleRef roleURI="http://autostoresystem.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="simple" xlink:href="aut-2025-12-31.xsd#StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement"/>
  <link:calculationLink xlink:role="http://autostoresystem.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_019b098f-d770-75a5-9dd0-f67206d60cae" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_019b098f-d770-7fc6-9284-bed84a4d3912" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_019b098f-d770-75a5-9dd0-f67206d60cae" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_019b098f-d770-7fc6-9284-bed84a4d3912" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_019b098f-d770-7386-919e-9c7386602e9e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_019b098f-d770-75a5-9dd0-f67206d60cae" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_019b098f-d770-7386-919e-9c7386602e9e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent_019b098f-d770-7116-8b7e-13b44e4cc2d0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_019b098f-d770-7a07-af96-83ef7004de51" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent_019b098f-d770-7116-8b7e-13b44e4cc2d0" xlink:to="loc_ifrs-full_ComprehensiveIncome_019b098f-d770-7a07-af96-83ef7004de51" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_019b098f-d770-742f-9673-4f68c7496ac1" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncome_019b098f-d770-72c0-b2b5-5ad70071e48e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncome"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_019b098f-d770-742f-9673-4f68c7496ac1" xlink:to="loc_ifrs-full_FinanceIncome_019b098f-d770-72c0-b2b5-5ad70071e48e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_019b098f-d770-774f-a630-c8bca0238924" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_019b098f-d770-742f-9673-4f68c7496ac1" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities_019b098f-d770-774f-a630-c8bca0238924" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceCosts_019b098f-d770-7185-9f44-30863346d23d" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceCosts"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_019b098f-d770-742f-9673-4f68c7496ac1" xlink:to="loc_ifrs-full_FinanceCosts_019b098f-d770-7185-9f44-30863346d23d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss_019b098f-d770-7e91-ba84-664f4b64a9ef" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_019b098f-d770-742f-9673-4f68c7496ac1" xlink:to="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss_019b098f-d770-7e91-ba84-664f4b64a9ef" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_019b098f-d770-7e78-89b1-210eb4c00c7a" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EmployeeBenefitsExpense_019b098f-d770-7de3-8071-8862228bea09" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EmployeeBenefitsExpense"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_019b098f-d770-7e78-89b1-210eb4c00c7a" xlink:to="loc_ifrs-full_EmployeeBenefitsExpense_019b098f-d770-7de3-8071-8862228bea09" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DepreciationExpense_019b098f-d770-72ea-aa4f-f60d6e87ff8c" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DepreciationExpense"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_019b098f-d770-7e78-89b1-210eb4c00c7a" xlink:to="loc_ifrs-full_DepreciationExpense_019b098f-d770-72ea-aa4f-f60d6e87ff8c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherExpenseByNature_019b098f-d770-79b0-bf1a-e96e7fb2e29d" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherExpenseByNature"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_019b098f-d770-7e78-89b1-210eb4c00c7a" xlink:to="loc_ifrs-full_OtherExpenseByNature_019b098f-d770-79b0-bf1a-e96e7fb2e29d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RevenueAndOperatingIncome_019b098f-d770-70c4-bade-8d22d70cb7ac" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RevenueAndOperatingIncome"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_019b098f-d770-7e78-89b1-210eb4c00c7a" xlink:to="loc_ifrs-full_RevenueAndOperatingIncome_019b098f-d770-70c4-bade-8d22d70cb7ac" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AmortisationExpense_019b098f-d770-7b17-8952-b36750ca1f30" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AmortisationExpense"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_019b098f-d770-7e78-89b1-210eb4c00c7a" xlink:to="loc_ifrs-full_AmortisationExpense_019b098f-d770-7b17-8952-b36750ca1f30" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RawMaterialsAndConsumablesUsed_019b098f-d770-7ffa-b6da-c6c2b008ddaf" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RawMaterialsAndConsumablesUsed"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_019b098f-d770-7e78-89b1-210eb4c00c7a" xlink:to="loc_ifrs-full_RawMaterialsAndConsumablesUsed_019b098f-d770-7ffa-b6da-c6c2b008ddaf" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss_019b098f-d770-750d-8ace-db44a66177d2" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_019b098f-d770-7e78-89b1-210eb4c00c7a" xlink:to="loc_ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss_019b098f-d770-750d-8ace-db44a66177d2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_019b098f-d770-708e-b801-7c84c6b40a8b" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations_019b098f-d770-7390-a1ba-083332212159" xlink:href="aut-2025-12-31.xsd#aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_019b098f-d770-708e-b801-7c84c6b40a8b" xlink:to="loc_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations_019b098f-d770-7390-a1ba-083332212159" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfParent_019b098f-d770-7c0a-9264-674c3af7a692" xlink:href="aut-2025-12-31.xsd#aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfParent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_019b098f-d770-708e-b801-7c84c6b40a8b" xlink:to="loc_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfParent_019b098f-d770-7c0a-9264-674c3af7a692" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://autostoresystem.com/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="simple" xlink:href="aut-2025-12-31.xsd#StatementoffinancialpositioncurrentnoncurrentStatement"/>
  <link:calculationLink xlink:role="http://autostoresystem.com/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Liabilities_019b098f-d771-70fd-bc50-07130b2185ff" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Liabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_019b098f-d771-70d3-b2e3-1b7a55f7fe09" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_019b098f-d771-70fd-bc50-07130b2185ff" xlink:to="loc_ifrs-full_NoncurrentLiabilities_019b098f-d771-70d3-b2e3-1b7a55f7fe09" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_019b098f-d771-78a0-b4b5-add168f0f3ed" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_019b098f-d771-70fd-bc50-07130b2185ff" xlink:to="loc_ifrs-full_CurrentLiabilities_019b098f-d771-78a0-b4b5-add168f0f3ed" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAndLiabilities_019b098f-d771-7f16-a2c6-37f52bf4bc5f" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAndLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_019b098f-d771-7444-a048-1e008a6623d0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_019b098f-d771-7f16-a2c6-37f52bf4bc5f" xlink:to="loc_ifrs-full_Equity_019b098f-d771-7444-a048-1e008a6623d0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Liabilities_019b098f-d771-756e-9173-6dd0c040f7a1" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Liabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_019b098f-d771-7f16-a2c6-37f52bf4bc5f" xlink:to="loc_ifrs-full_Liabilities_019b098f-d771-756e-9173-6dd0c040f7a1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Assets_019b098f-d771-7f3d-9256-f25c3cf33565" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Assets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_019b098f-d771-71a6-b6ee-4782084bb1de" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_019b098f-d771-7f3d-9256-f25c3cf33565" xlink:to="loc_ifrs-full_NoncurrentAssets_019b098f-d771-71a6-b6ee-4782084bb1de" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_019b098f-d771-7736-aebe-422a6f7c644b" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_019b098f-d771-7f3d-9256-f25c3cf33565" xlink:to="loc_ifrs-full_CurrentAssets_019b098f-d771-7736-aebe-422a6f7c644b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_019b098f-d771-70ed-a93b-74f3909dc62b" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Inventories_019b098f-d771-73b7-8fc4-175a1fea848e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Inventories"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_019b098f-d771-70ed-a93b-74f3909dc62b" xlink:to="loc_ifrs-full_Inventories_019b098f-d771-73b7-8fc4-175a1fea848e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTradeReceivables_019b098f-d771-7253-b6e3-b0d7b6620358" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTradeReceivables"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_019b098f-d771-70ed-a93b-74f3909dc62b" xlink:to="loc_ifrs-full_CurrentTradeReceivables_019b098f-d771-7253-b6e3-b0d7b6620358" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherCurrentReceivables_019b098f-d771-76c9-b43e-3c543c424642" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentReceivables"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_019b098f-d771-70ed-a93b-74f3909dc62b" xlink:to="loc_ifrs-full_OtherCurrentReceivables_019b098f-d771-76c9-b43e-3c543c424642" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Cash_019b098f-d771-70bd-8d3e-d03e69658d9b" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Cash"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_019b098f-d771-70ed-a93b-74f3909dc62b" xlink:to="loc_ifrs-full_Cash_019b098f-d771-70bd-8d3e-d03e69658d9b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_019b098f-d771-7edc-b062-bb7ac2c0b7be" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_019b098f-d771-7083-93ea-feb23e815b36" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_019b098f-d771-7edc-b062-bb7ac2c0b7be" xlink:to="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_019b098f-d771-7083-93ea-feb23e815b36" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Goodwill_019b098f-d771-7e61-a0c3-6d8463cdb126" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Goodwill"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_019b098f-d771-7edc-b062-bb7ac2c0b7be" xlink:to="loc_ifrs-full_Goodwill_019b098f-d771-7e61-a0c3-6d8463cdb126" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment_019b098f-d771-7916-8493-8be9085acf0f" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PropertyPlantAndEquipment"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_019b098f-d771-7edc-b062-bb7ac2c0b7be" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment_019b098f-d771-7916-8493-8be9085acf0f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentAssets_019b098f-d771-7d00-8b79-15fee080fa20" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentAssets"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_019b098f-d771-7edc-b062-bb7ac2c0b7be" xlink:to="loc_ifrs-full_OtherNoncurrentAssets_019b098f-d771-7d00-8b79-15fee080fa20" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RightofuseAssets_019b098f-d771-7f3d-b92b-b8e49d379b02" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RightofuseAssets"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_019b098f-d771-7edc-b062-bb7ac2c0b7be" xlink:to="loc_ifrs-full_RightofuseAssets_019b098f-d771-7f3d-b92b-b8e49d379b02" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxAssets_019b098f-d771-78e3-ae5c-c6c76560e127" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxAssets"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_019b098f-d771-7edc-b062-bb7ac2c0b7be" xlink:to="loc_ifrs-full_DeferredTaxAssets_019b098f-d771-78e3-ae5c-c6c76560e127" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_019b098f-d771-7b3a-b68e-24e4cfea88e6" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentProvisions_019b098f-d771-72b9-966d-4b059837e7f7" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentProvisions"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_019b098f-d771-7b3a-b68e-24e4cfea88e6" xlink:to="loc_ifrs-full_CurrentProvisions_019b098f-d771-72b9-966d-4b059837e7f7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayables_019b098f-d771-70c3-9cc6-fc3698a235b4" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentPayables"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_019b098f-d771-7b3a-b68e-24e4cfea88e6" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayables_019b098f-d771-70c3-9cc6-fc3698a235b4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_019b098f-d771-7d44-bb15-0178e6ca25e7" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_019b098f-d771-7b3a-b68e-24e4cfea88e6" xlink:to="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_019b098f-d771-7d44-bb15-0178e6ca25e7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLeaseLiabilities_019b098f-d771-7735-a5dc-eade26626a9a" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLeaseLiabilities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_019b098f-d771-7b3a-b68e-24e4cfea88e6" xlink:to="loc_ifrs-full_CurrentLeaseLiabilities_019b098f-d771-7735-a5dc-eade26626a9a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ShorttermBorrowings_019b098f-d771-776a-b028-b87c238f6ee9" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ShorttermBorrowings"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_019b098f-d771-7b3a-b68e-24e4cfea88e6" xlink:to="loc_ifrs-full_ShorttermBorrowings_019b098f-d771-776a-b028-b87c238f6ee9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_019b098f-d771-78ea-9d74-0698773af971" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity"/>
    <link:loc xlink:type="locator" xlink:label="loc_aut_RetainedEarningsAndOtherReserves_019b098f-d771-7a79-a437-62a660a4f4a6" xlink:href="aut-2025-12-31.xsd#aut_RetainedEarningsAndOtherReserves"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_019b098f-d771-78ea-9d74-0698773af971" xlink:to="loc_aut_RetainedEarningsAndOtherReserves_019b098f-d771-7a79-a437-62a660a4f4a6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TreasuryShares_019b098f-d771-76b1-8a5f-25b7596d7468" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TreasuryShares"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_019b098f-d771-78ea-9d74-0698773af971" xlink:to="loc_ifrs-full_TreasuryShares_019b098f-d771-76b1-8a5f-25b7596d7468" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_SharePremium_019b098f-d771-7441-857f-cab86b2b8533" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_SharePremium"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_019b098f-d771-78ea-9d74-0698773af971" xlink:to="loc_ifrs-full_SharePremium_019b098f-d771-7441-857f-cab86b2b8533" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IssuedCapital_019b098f-d771-75d3-bd82-65056f6b759b" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IssuedCapital"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_019b098f-d771-78ea-9d74-0698773af971" xlink:to="loc_ifrs-full_IssuedCapital_019b098f-d771-75d3-bd82-65056f6b759b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_019b098f-d771-780a-a328-bc1ba3677def" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_LongtermBorrowings_019b098f-d771-73bd-ad13-a39937251d74" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LongtermBorrowings"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_019b098f-d771-780a-a328-bc1ba3677def" xlink:to="loc_ifrs-full_LongtermBorrowings_019b098f-d771-73bd-ad13-a39937251d74" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLeaseLiabilities_019b098f-d771-7177-b0c1-7e8059b55f59" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLeaseLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_019b098f-d771-780a-a328-bc1ba3677def" xlink:to="loc_ifrs-full_NoncurrentLeaseLiabilities_019b098f-d771-7177-b0c1-7e8059b55f59" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentProvisions_019b098f-d771-7bd6-bcf7-5280dfe26f41" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentProvisions"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_019b098f-d771-780a-a328-bc1ba3677def" xlink:to="loc_ifrs-full_NoncurrentProvisions_019b098f-d771-7bd6-bcf7-5280dfe26f41" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxLiabilities_019b098f-d771-718a-8813-aefd95a4ea84" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxLiabilities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_019b098f-d771-780a-a328-bc1ba3677def" xlink:to="loc_ifrs-full_DeferredTaxLiabilities_019b098f-d771-718a-8813-aefd95a4ea84" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://autostoresystem.com/role/StatementofcashflowsdirectmethodStatement" xlink:type="simple" xlink:href="aut-2025-12-31.xsd#StatementofcashflowsdirectmethodStatement"/>
  <link:calculationLink xlink:role="http://autostoresystem.com/role/StatementofcashflowsdirectmethodStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019b098f-d771-7ac4-a21a-4d66b27acbb0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_019b098f-d771-708d-8506-972dbe1cf9d5" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019b098f-d771-7ac4-a21a-4d66b27acbb0" xlink:to="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_019b098f-d771-708d-8506-972dbe1cf9d5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_019b098f-d771-70ce-baa9-36f6056aaa15" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019b098f-d771-7ac4-a21a-4d66b27acbb0" xlink:to="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_019b098f-d771-70ce-baa9-36f6056aaa15" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestReceivedClassifiedAsInvestingActivities_019b098f-d771-7625-88b3-75a13c891042" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019b098f-d771-7ac4-a21a-4d66b27acbb0" xlink:to="loc_ifrs-full_InterestReceivedClassifiedAsInvestingActivities_019b098f-d771-7625-88b3-75a13c891042" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsForDevelopmentProjectExpenditure_019b098f-d771-70f1-94fc-c958c4692b7b" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsForDevelopmentProjectExpenditure"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019b098f-d771-7ac4-a21a-4d66b27acbb0" xlink:to="loc_ifrs-full_PaymentsForDevelopmentProjectExpenditure_019b098f-d771-70f1-94fc-c958c4692b7b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019b098f-d771-795b-9e28-24c9109853dc" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepaymentsOfNoncurrentBorrowings_019b098f-d771-70f8-baa7-fdba7f54b9ba" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfNoncurrentBorrowings"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019b098f-d771-795b-9e28-24c9109853dc" xlink:to="loc_ifrs-full_RepaymentsOfNoncurrentBorrowings_019b098f-d771-70f8-baa7-fdba7f54b9ba" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromSaleOrIssueOfTreasuryShares_019b098f-d771-74c4-9137-b76317eea679" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromSaleOrIssueOfTreasuryShares"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019b098f-d771-795b-9e28-24c9109853dc" xlink:to="loc_ifrs-full_ProceedsFromSaleOrIssueOfTreasuryShares_019b098f-d771-74c4-9137-b76317eea679" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_019b098f-d771-79fb-b962-6faa5a765a34" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019b098f-d771-795b-9e28-24c9109853dc" xlink:to="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_019b098f-d771-79fb-b962-6faa5a765a34" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_aut_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_019b098f-d771-7421-a6d2-47bd78c8e0f3" xlink:href="aut-2025-12-31.xsd#aut_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019b098f-d771-795b-9e28-24c9109853dc" xlink:to="loc_aut_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_019b098f-d771-7421-a6d2-47bd78c8e0f3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_aut_InterestPaidOtherThanLeaseLiabilitiesClassifiedAsFinancingActivities_019c6dd9-4498-7f8a-a4de-a740b3eb0058" xlink:href="aut-2025-12-31.xsd#aut_InterestPaidOtherThanLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019b098f-d771-795b-9e28-24c9109853dc" xlink:to="loc_aut_InterestPaidOtherThanLeaseLiabilitiesClassifiedAsFinancingActivities_019c6dd9-4498-7f8a-a4de-a740b3eb0058" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b098f-d771-71d7-918b-83247ee11575" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_aut_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities_019b098f-d771-7b6b-a415-8de45bf4fc55" xlink:href="aut-2025-12-31.xsd#aut_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b098f-d771-71d7-918b-83247ee11575" xlink:to="loc_aut_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities_019b098f-d771-7b6b-a415-8de45bf4fc55" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_019b098f-d771-7ff5-bbd6-89fd6058db71" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b098f-d771-71d7-918b-83247ee11575" xlink:to="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_019b098f-d771-7ff5-bbd6-89fd6058db71" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForSharebasedPayments_019b098f-d771-70e4-8ab6-a87f45ce67a3" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForSharebasedPayments"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b098f-d771-71d7-918b-83247ee11575" xlink:to="loc_ifrs-full_AdjustmentsForSharebasedPayments_019b098f-d771-70e4-8ab6-a87f45ce67a3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_019b098f-d771-7010-8649-f79f639592cd" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b098f-d771-71d7-918b-83247ee11575" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_019b098f-d771-7010-8649-f79f639592cd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_019b098f-d771-77b8-8613-d916eb0f501f" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b098f-d771-71d7-918b-83247ee11575" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_019b098f-d771-77b8-8613-d916eb0f501f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_019b098f-d771-7a1a-b9ae-7134d86f0206" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b098f-d771-71d7-918b-83247ee11575" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_019b098f-d771-7a1a-b9ae-7134d86f0206" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_019b098f-d771-77fa-8dca-37d6e5fbc933" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b098f-d771-71d7-918b-83247ee11575" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_019b098f-d771-77fa-8dca-37d6e5fbc933" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForFinanceCosts_019b098f-d771-7aa2-accb-1b62f4c1787c" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForFinanceCosts"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b098f-d771-71d7-918b-83247ee11575" xlink:to="loc_ifrs-full_AdjustmentsForFinanceCosts_019b098f-d771-7aa2-accb-1b62f4c1787c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForFinanceIncome_019b098f-d771-7b4d-9311-008fd520e0ae" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForFinanceIncome"/>
    <link:calculationArc order="9" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b098f-d771-71d7-918b-83247ee11575" xlink:to="loc_ifrs-full_AdjustmentsForFinanceIncome_019b098f-d771-7b4d-9311-008fd520e0ae" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_019b098f-d771-7d85-a258-3fd6e5671d45" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
    <link:calculationArc order="10" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b098f-d771-71d7-918b-83247ee11575" xlink:to="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_019b098f-d771-7d85-a258-3fd6e5671d45" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss_019b098f-d771-7ac6-ae07-2e11fbd4ff1d" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss"/>
    <link:calculationArc order="11" weight="-1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b098f-d771-71d7-918b-83247ee11575" xlink:to="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss_019b098f-d771-7ac6-ae07-2e11fbd4ff1d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_019b098f-d771-7b91-bc2c-44adadb3cb28" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019b098f-d771-7bbb-8449-98c05f5f2a27" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_019b098f-d771-7b91-bc2c-44adadb3cb28" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_019b098f-d771-7bbb-8449-98c05f5f2a27" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b098f-d771-729b-973c-a45c2e9c2e60" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_019b098f-d771-7b91-bc2c-44adadb3cb28" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b098f-d771-729b-973c-a45c2e9c2e60" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019b098f-d771-7f94-b883-271f12248c13" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_019b098f-d771-7b91-bc2c-44adadb3cb28" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_019b098f-d771-7f94-b883-271f12248c13" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://autostoresystem.com/role/StatementofchangesinequityStatement" xlink:type="simple" xlink:href="aut-2025-12-31.xsd#StatementofchangesinequityStatement"/>
  <link:calculationLink xlink:role="http://autostoresystem.com/role/StatementofchangesinequityStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_019b098f-d771-7ff8-8d90-f3a3753be4a1" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_019b098f-d771-7507-9501-ad552085ba6e" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_019b098f-d771-7ff8-8d90-f3a3753be4a1" xlink:to="loc_ifrs-full_OtherComprehensiveIncome_019b098f-d771-7507-9501-ad552085ba6e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_019b098f-d771-795d-9f9b-c5cb201b30e0" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_019b098f-d771-7ff8-8d90-f3a3753be4a1" xlink:to="loc_ifrs-full_ProfitLoss_019b098f-d771-795d-9f9b-c5cb201b30e0" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
